services:
    backend:
        build: ./backend
        ports:
            - 5001:5000
        environment:
            NODE_ENV: development
        volumes:
            - ./backend:/app
            - ./.data:/app/.data
        env_file:
            - .env

    frontend:
        build: ./frontend
        ports:
            - 5173:5173
        volumes:
            - ./frontend:/app
            - /app/node_modules
